clear;clc;clf;

% Calculate average debt and VaR for different strategies

% One maturity strategies

store_1=zeros(19*12,3);
for h=12:1:20*12
    h
    store_1(h,:)=fixed1([h 0 0]);
end

% Two maturity strategies

t=500;
store_2=zeros(t,4);
randz=unifrnd(0,1,t,1);
randh=randi([12 240],t,3);
for h=1:t
	h
    store_2(h,:)=fixed2([randh(h,1:2) randz(h) 0]);
end

% Three maturity strategies

store_3=zeros(t,5);
randh=randi([12 240],t,3);
randz=unifrnd(0,1,t,1);
randz1=1-unifrnd(randz,1,t,1);
for h=1:t
	h
	store_3(h,:)=fixed3([randh(h,:) randz(h) randz1(h)]);
end

% Figure 10: Buyback and debt management frontiers

figure(10);
subplot(1,3,1);
plot(store_1(12:end,2),100*store_1(12:end,3),'b.');
title('One maturity strategies');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
xlim([25 65]);
ylim([1 3]);
subplot(1,3,2);
plot(store_2(12:end,3),100*store_2(12:end,4),'r.');
title('Two maturity strategies');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
xlim([25 65]);
ylim([1 3]);
subplot(1,3,3);
plot(store_3(12:end,4),100*store_3(12:end,5),'g.');
title('Three maturity strategies');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
xlim([25 65]);
ylim([1 3]);
