clear;clc;

% Load yields and prices

load ZCY_data.mat Yields Yields_r Prices nominal_index real_index;

% Figure 7: Selected zero coupon yields

figure(7);
subplot(2,2,1);
plot(nominal_index,Yields(:,1),real_index,Yields_r(:,1),'LineWidth',2);
legend('Nominal','Real','Location','southeast','AutoUpdate','off');
line([1910 2017],[0 0],'LineWidth',2,'Color','k');
xlim([1910 2020]);
ylim([-0.2 0.2]);
set(gca,'FontSize',20);
title('Yield on 1-year bond');
set(gca,'FontSize',20);

subplot(2,2,2);
plot(nominal_index,Yields(:,36),real_index,Yields_r(:,3),'LineWidth',2);
legend('Nominal','Real','Location','southeast','AutoUpdate','off');
hold on;
line([1910 2017],[0 0],'LineWidth',2,'Color','k');
xlim([1910 2020]);
ylim([-0.2 0.2]);
title('Yield on 3-year bond');
set(gca,'FontSize',20);

subplot(2,2,3);
plot(nominal_index,Yields(:,120),real_index,Yields_r(:,10),'LineWidth',2);
legend('Nominal','Real','Location','southeast','AutoUpdate','off');
hold on;
line([1910 2017],[0 0],'LineWidth',2,'Color','k');
xlim([1910 2020]);
ylim([-0.2 0.2]);
title('Yield on 10-year bond');
set(gca,'FontSize',20);

subplot(2,2,4);
plot(nominal_index,Yields(:,120)-Yields(:,36),'LineWidth',2);
hold on;
line([1910 2017],[0 0],'LineWidth',2,'Color','k');
xlim([1910 2020]);
ylim([-0.04 0.06]);
title('Term premium');
set(gca,'FontSize',20);