% Calculate Hall-Sargent decompositions for Tables 1 and 2

clear;clc;

% Load face and market values of debt at monthly frequency

load debt_data debt_face debt_face_n debt_face_i debt_market ...
     debt_market_n debt_market_i startyear endyear;
 
% Load nominal payments at monthly frequency

load returns_data index_for_pay pay pay1 pay2;

% Load GDP and debt data

load data_BOE YBHA3 YBHA3_real debt_boe % GDP is 1700-2017, Debt is 1691-2016
startyearGDP=1700; endyearGDP=2017;

% Pairs of start and end dates for wars in Table 1

starts=[1740 1756 1775 1793 1914 1939];
ends=[1749 1764 1786 1815 1919 1946];

% Pairs of start and end dates for peace in Table 1

% starts=[1730 1750 1765 1787 1816 1920 1947];
% ends=[1739 1755 1774 1792 1913 1938 2017];

% Pairs of start and end dates for financial crises in Table 2

% starts=[1825 1837 1847 1857 1866 2007];
% ends=[1828 1842 1850 1860 1869 2012];

% Pairs of start and end dates for non-crisis times in Table 2

% starts=[1730 1829 1843 1851 1861 1870];
% ends=[1824 1836 1846 1856 1865 2006];

% Define array to store results

Results_data=zeros(9,size(starts,2));

% Loop through pairs of years of interest

for ii=1:size(starts,2)
    
    % Identify start and end dates

    year1=starts(ii);
    year2=ends(ii);
    
    % Hall-Sargent decomposition on historical data
    
    decompose;
    
    % Store results
    
    Results_data(:,ii)=Results;
      
end

Results_data=Results_data';